/*diagram START*/
.diagram { /*DIV hook for sticky tape*/
  position: absolute;
  right: 1em;
  top: 0;
  z-index: 1;
}
.diagram:before { /*sticky tape*/
  background-color: rgba(255, 255, 255, 0.5); /*white*/
  border: 1px dotted silver;
  box-sizing: border-box;
  content: '';
  height: 20px;
  position: absolute;
  top: -10px;
  width: 100px;
}
.diagram img { border: 1px solid lightgray }
/*diagram END*/
img.left, img.center, img.right { border: 1px solid dimgray }
img.left { /*IMG should be wrapped in P*/
  float: left;
  margin-right: 1em; /*1em padding-left in P and ARTICLE*/
  width: 20%; /*80/20 rule*/
}
img.center {
  display: block;
  margin: 0 auto; /*proper way to center an image*/
  margin-bottom: 1em; /*skip-a-doodle*/
}
img.right { /*IMG should be wrapped in P*/
  float: right;
  margin-left: 1em; /*1em padding-right in P and ARTICLE*/
  width: 20%; /*80/20 rule*/
}
aside .none { border: 0 } /*IMG or VIDEO*/

@media only screen and (max-width: 600px) { /*ruler breakpoint*/
  .diagram {
    margin-top: 3em;
    position: inherit;
  }
  .diagram:before { display: none } /*remove sticky tape*/
  .diagram > img {
    border-left: 0;
    border-right: 0;
    width: calc(100% + 2em); /*compensates for margins*/
  }
}